#include <bits/stdc++.h>
using namespace std;

int main() {
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);
    int n;
    cin >> n;
    int ros;
    int ans = 0;
    if (n % 2 == 1)
    {
      for (int i = 1; i < n; i++)
      {
          cin >> ros;
            if (ros % 2 == 0)
            {
                ans = ans + (ros - 1);
            }
            else
            {
                ans = ans + ros;
            }
        
      }
    }
    else
    {
      for (int i = 1; i < n; i++)
      {
        cin >> ros;
        
            if (ros % 2 == 0)
            {
                ans = ans + ros;
            }
            else
            {
                ans = ans + (ros - 1);
            }
       
        
      }
    }
    cout << ans;
}
